Bug 183917 - [FEAT] allow updating of kernel args in new-kernel-pkg
[FEAT] allow updating of kernel args in new-kernel-pkg
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-03 13:23 EST by Don Zickus
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 5.0.33-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-30 18:19:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my proposed patch (2.64 KB, patch)
2006-03-03 13:23 EST, Don Zickus
no flags Details | Diff

  None (edit)
Description Don Zickus 2006-03-03 13:23:12 EST
Created attachment 125609 [details]
my proposed patch
Comment 1 Don Zickus 2006-03-03 13:23:12 EST
Description of problem:
This is realated to the whole kdump thing.  

After installing/uninstalling a kdump kernel, we need a way to add/remove
arguments to the normal kernel.  An example:

%post kdump
[ ! -x /usr/sbin/module_upgrade ] || /usr/sbin/module_upgrade
%{rpmversion}-%{release}-kdump
/sbin/new-kernel-pkg --package kernel-kdump --mkinitrd --depmod --install
%{KVERREL}kdump
+/sbin/new-kernel-pkg --args="crashkernel=64M@16M" --update %{KVERREL}

(notice the missing kdump after %{KVERREL})
This is needed to allow the first kernel to create a memory hole (given as the
argument) in which to place the second kernel (and initrd) into.  Of course the
machine still needs to be rebooted to utilize this new parameter, *sigh* (a
hurdle for another day).  

In addition this would allow us to do the opposite upon uninstalling (%post-un):

+/sbin/new-kernel-pkg --remove-args="crashkernel=64M@16M" --update %{KVERREL}

That is the crux of the problem.  I have attached a patch against
new-kernel-pkg, which solves the problem in one way, but I leave you to be the
judge of what is the most appropriate way.  



Version-Release number of selected component (if applicable):
mkinitrd-5.0.29

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Peter Jones 2006-03-30 18:19:19 EST
Thanks for the patch.  This is in 5.0.33-1 , which should be in tomorrow's rawhide.

Note You need to log in before you can comment on or make changes to this bug.